import request from '@/utils/request'

// 查询app客服活码上架列表
export function listAppContactWay(query) {
  return request({
    url: '/qw/appContactWay/list',
    method: 'get',
    params: query
  })
}


export function getAppContactWay() {
  return request({
    url: '/qw/appContactWay/getContactWay',
    method: 'get'
  })
}

// 新增app客服活码上架
export function addAppContactWay(data) {
  return request({
    url: '/qw/appContactWay',
    method: 'post',
    data: data
  })
}

// 修改app客服活码上架
export function updateAppContactWay(data) {
  return request({
    url: '/qw/appContactWay',
    method: 'put',
    data: data
  })
}

// 删除app客服活码上架
export function delAppContactWay(id) {
  return request({
    url: '/qw/appContactWay/' + id,
    method: 'delete'
  })
}

// 导出app客服活码上架
export function exportAppContactWay(query) {
  return request({
    url: '/qw/appContactWay/export',
    method: 'get',
    params: query
  })
}

export function updateIsShow(data) {
  return request({
    url: '/qw/appContactWay/updateIsShow',
    method: 'post',
    data: data
  })
}
